Package org.acplt.oncrpc.apps.jrpcgen

# Class JrpcgenXdrDefinition.Table

java.lang.Object
org.acplt.oncrpc.apps.jrpcgen.JrpcgenItemTable<JrpcgenXdrDefinition>
org.acplt.oncrpc.apps.jrpcgen.JrpcgenXdrDefinition.Table

All Implemented Interfaces:
  `Iterable<JrpcgenXdrDefinition>`

Enclosing class:
  `JrpcgenXdrDefinition`

public static class JrpcgenXdrDefinition.Table extends JrpcgenItemTable<JrpcgenXdrDefinition>
Type definition for a table of XDR definitions.

## Constructor Summary

Constructors
Constructor
Description
`Table()`

## Method Summary

### Methods inherited from class org.acplt.oncrpc.apps.jrpcgen.JrpcgenItemTable

`addItem, clear, getFirstItem, getItem, getItem, getItemList, getLastItem, isEmpty, isUnknownIdentifier, iterator, iterator, putItem, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### Table

public Table()